import java.util.*;
public class FatorialData extends Generator {
	public String classe() {
		return "Fatorial";
	}
	public String conteudo() {
		String conteudo = "for (int i = 0; i < 10; i++) {\n";
		conteudo += "System.out.println(fatorial(i));\n";
		conteudo += "}\n";
		return conteudo;
	}
	public Iterator getMetodos() {
		List metodos = new ArrayList();
		String metodo = "public static long fatorial(int n) {\n";
		metodo += "  if (n <= 1) return 1;\n";
		metodo += "  else return n * fatorial(n-1);\n";
		metodo += "}\n";
		metodos.add(metodo);
		return metodos.iterator();
	}
}
